Summary:     Weather information for the jabber server
Name:        jabber-weather
Version:     2.4
Release:     8.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/weatheragent/jweather-R%{version}.tar.gz
Source1:     jabberd-weather.init
Source2:     weather.xml
Patch0:      jweather-R%{version}-config.patch
URL:         http://www.jabberstudio.org/projects/weatheragent/project/view.php
Buildroot:   /var/tmp/jabber-weather-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    perl >= 5.6.1
Provides:    jabber-weather.pp
Prereq:      /bin/chown /bin/chmod /sbin/chkconfig /bin/bash /bin/echo /bin/mkdir
BuildPrereq: /bin/mkdir /bin/rm /usr/bin/make /usr/bin/install
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the weather information component.


%prep
%setup -q -c
%patch0 -p1


%build


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/weather-component
mkdir -p $RPM_BUILD_ROOT/usr/jabber/jabberd
install -m 0755 jweather $RPM_BUILD_ROOT/usr/jabber/weather-component
install -m 0660 $RPM_SOURCE_DIR/weather.xml $RPM_BUILD_ROOT/etc/jabber/weather.xml.default
touch $RPM_BUILD_ROOT/etc/jabber/weather.xml; chmod 0660 $RPM_BUILD_ROOT/etc/jabber/weather.xml
install -m 0755 $RPM_SOURCE_DIR/jabberd-weather.init $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-weather
ln -s ../weather-component/jweather $RPM_BUILD_ROOT/usr/jabber/jabberd/jabberd-weather
install -m 0644 code_*.xml $RPM_BUILD_ROOT/usr/jabber/weather-component


%pre
if [ ! -e /etc/jabber ] ; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/weather.xml*
/sbin/chkconfig --add jabberd-weather
/sbin/chkconfig jabberd-weather on
if [ -s /etc/jabber/weather.xml ]; then
   if [ -f /var/lock/subsys/jabberd-weather ]; then
      /etc/rc.d/init.d/jabberd-weather restart
   else
      /etc/rc.d/init.d/jabberd-weather start
   fi
else
   echo "Weather information component installed. Please consult the README for configuration details."
   echo "Don't forget to create a directory named <weather-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig jabberd-weather off
   /sbin/chkconfig --del jabberd-weather
   if [ -f /var/lock/subsys/jabberd-weather ]; then
      /etc/rc.d/init.d/jabberd-weather stop
   fi
fi


%postun
if [ $1 = 0 ] ; then
  echo "Weather information component deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
/etc/rc.d/init.d/jabberd-weather
%config(noreplace) /etc/jabber/weather.xml
/etc/jabber/weather.xml.default
%dir /usr/jabber/weather-component
%config /usr/jabber/weather-component/*
/usr/jabber/jabberd/jabberd-weather


%changelog
* Tue Nov 25 2003 peter.pramberger@1012surf.net
- new version 2.4

* Fri Nov 21 2003 peter.pramberger@1012surf.net
- created

